import jetson.*;

public void setup()
{
        //NEU:
        JetsonMotor.init();
        
        println("Messung der Abarbeitungsdauer eines Befehls:");
        long T = System.currentTimeMillis();
        int anzahl = 100;
        for(int i=0;i<anzahl;i++)
             JetsonMotor.linksvor();
        long diff = System.currentTimeMillis() - T;
        double millisekunden = (double)diff/(double)anzahl;
        println("Dauer für die Abarbeitung eines einzelnen Motorbefehls: "+millisekunden+" Millisekunden");
        JetsonMotor.linksstop();
        JetsonMotor.linksvor();
        
        println("PWM-Befehle testen:");        
        T = System.currentTimeMillis();
        anzahl = 1000;
        for(int i=0;i<anzahl;i++)
        {
           if(i%4==0)
             JetsonMotor.enablelinks();
           else  
             JetsonMotor.disablelinks();
        }     
        diff = System.currentTimeMillis() - T;
        millisekunden = (double)diff/(double)anzahl;
        println("Dauer für die Abarbeitung eines einzelnen Motorbefehls: "+millisekunden+" Millisekunden");
        JetsonMotor.linksstop();
        
        frameRate(1);
}

public void draw()
{

}
